Package org.apache.storm.generated

## Enum DRPCExceptionType

- java.lang.Object
- - java.lang.Enum<DRPCExceptionType>
  - - org.apache.storm.generated.DRPCExceptionType

- All Implemented Interfaces:
    `Serializable`, `Comparable<DRPCExceptionType>`, `org.apache.storm.thrift.TEnum`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public enum DRPCExceptionType
      extends Enum<DRPCExceptionType>
      implements org.apache.storm.thrift.TEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FAILED_REQUEST` |
    `INTERNAL_ERROR` |
    `SERVER_SHUTDOWN` |
    `SERVER_TIMEOUT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DRPCExceptionType` | `findByValue​(int value)` | Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` | Get the integer value of this enum value, as defined in the Thrift IDL.
    `static DRPCExceptionType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DRPCExceptionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERNAL_ERROR

          public static final DRPCExceptionType INTERNAL_ERROR

    - #### SERVER_SHUTDOWN

          public static final DRPCExceptionType SERVER_SHUTDOWN

    - #### SERVER_TIMEOUT

          public static final DRPCExceptionType SERVER_TIMEOUT

    - #### FAILED_REQUEST

          public static final DRPCExceptionType FAILED_REQUEST

  - ### Method Detail

    - #### values

          public static DRPCExceptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DRPCExceptionType c : DRPCExceptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DRPCExceptionType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.
      Specified by:
        `getValue` in interface `org.apache.storm.thrift.TEnum`

    - #### findByValue

          public static DRPCExceptionType findByValue​(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.
      Returns:
        null if the value is not found.